#
# spec file for package perl-DBIx-Connector
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DBIx-Connector
Version:        0.56
Release:        lp152.3.2
%define cpan_name DBIx-Connector
Summary:        Fast, safe DBI connection and transaction management
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBIx-Connector/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBI) >= 1.605
BuildRequires:  perl(Module::Build) >= 0.300000
BuildRequires:  perl(Test::MockModule) >= 0.05
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(DBI) >= 1.605
Recommends:     perl(DBI) >= 1.614
%{perl_requires}

%description
Fast, safe DBI connection and transaction management

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Tue Mar 22 2016 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-DBIx-Connector/Changes
  0.56  2016-03-16T17:07:05Z
  - Added Firebird support, thanks to Stefan Suciu.
  - Fixed SQLite savepoint support to properly detect SQlite versions 3.9
    and higher.
  - Restored MySQL savepoint testing when the DBICTEST_* environment
    variables are set.
* Sun Feb  7 2016 coolo@suse.com
- updated to 0.55
  see /usr/share/doc/packages/perl-DBIx-Connector/Changes
  0.55  2016-02-05T18:59:24Z
  - Added versions to the RollbackError exception classes to make PAUSE
    happy.
  0.54  2016-02-05T18:52:44Z
  - Removeed the Pod tests from the distribution.
  - Fixed the example code for handling `rollback_error` exceptions in the
    documentation to properly wrap the transaction in an exception
    handler. Patch from Perlover (issue #32).
  - Improved handling of connection failures when RaiseError (or
    HandleError) is not set. Thanks to Andreas Huber for the report and
    fix.
  - Document that `$_` is set locally, not globally, in the methods that
    set it. Suggested by William Lindley.
  - The disconnect method no longer longer remove entries from the DBI
    handle's CachedKids attribute. That behavior appears to be a
    workaround for a database we don't (yet) support.
  - Fixed a test failure where the test system has the `$DBI_DSN` or
    `$DBI_DRIVER` environment variable set. Thanks to Erik Rijkers for the
    patch.
  - Added recommendation to use DBD::Pg 3.5.0 or later to the Pg driver.
    Earlier versions had an incorrect implementation of the `ping()`
    method (Issue #41).
* Thu Dec  4 2014 ncutler@suse.com
- updated to upstream version 0.53
  0.53  2013-03-20T06:04:34Z
  - Fixed some documentation typos, thanks to Mike O'Regan (Issue #22).
  - Fixed issue where an connection failure caused an unhelpful error
    (Issue #26).
  0.52  2012-05-29T18:32:42Z
  - The DBI params are now encapsulated in a code reference, rather than
    stored as the passed array, so that the password is less likely to be
    displayed in a dump. Idea borrowed from Rose::DB. Patch from Brad
    Bowman.
  - Eliminated warning about the non-portability of a v-string on older
    Perls. Thanks to Mark Lawrence for the report (Issue #17).
  - Removed a couple of leftover examples of the feature removed
    in v0.50. Thanks to Randy Stauner for the patch!
  - Eliminated more "Use of qw(...) as parentheses" syntax errors in tests
    when running on Perl 5.17.
  - Add mention of DBI Callbacks parameter to the docs, as folks often ask
    for this functionality, not realizing that the DBI already provides
    it. Randy Stauner.
* Mon Feb 27 2012 coolo@suse.com
- initial package 0.51
  * created by cpanspec 1.78.06
